Package org.jfree.report.util.beans

## Class BooleanValueConverter

- java.lang.Object
- - org.jfree.report.util.beans.BooleanValueConverter

- All Implemented Interfaces:
    `ValueConverter`

      public class BooleanValueConverter
      extends java.lang.Object
      implements ValueConverter

  A class that handles the conversion of `Boolean` attributes to and from their `String` representation.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanValueConverter()` | Creates a new value converter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toAttributeValue​(java.lang.Object o)` | Converts the attribute to a string.
    `java.lang.Object` | `toPropertyValue​(java.lang.String s)` | Converts a string to a `Boolean`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanValueConverter

          public BooleanValueConverter()

      Creates a new value converter.

  - ### Method Detail

    - #### toAttributeValue

          public java.lang.String toAttributeValue​(java.lang.Object o)

      Converts the attribute to a string.
      Specified by:
        `toAttributeValue` in interface `ValueConverter`
      Parameters:
        `o` - the attribute (`Boolean` expected).
      Returns:
        A string representing the `Boolean` value.

    - #### toPropertyValue

          public java.lang.Object toPropertyValue​(java.lang.String s)

      Converts a string to a `Boolean`.
      Specified by:
        `toPropertyValue` in interface `ValueConverter`
      Parameters:
        `s` - the string.
      Returns:
        a `Boolean`.